classification
Title: Enable 'imageop' - "Multimedia Srvices Feature module" for 64-bit platform
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: koobs, pankaj.s01, serhiy.storchaka, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2014-11-26 12:18 by pankaj.s01, last changed 2020-02-26 20:06 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
Python-2.7.8-imageop.patch pankaj.s01, 2014-11-26 12:18 patch for setup.py to enable 'imageop' for 64-bit platform
Messages (3)
msg231707 - (view) Author: Pankaj Sharma (pankaj.s01) * Date: 2014-11-26 12:18
Hi,
'imageop' is default disable in Python-2.7.8 for 64-bit platform.
i have enable and test on x_86 64-bit architecture. it's working fine.and it's unit test is also ok.

The respective patch has been attached and test log as shown 
below . 

output: for test_imageop.py
****************************
$]./python2.7  ../lib/python2.7/test/test_imageop.py
test_input_validation (__main__.InputValidationTests) ... ok

----------------------------------------------------------------------
Ran 1 test in 0.047s

OK

--
Thanks & Regards,

 Pankaj Sharma
(pankaj.s01@samsung.com)
msg234548 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-01-23 09:32
The module has been deleted in Python 3.

The compilation of the module was probably disabled on 64-bit because of bugs. I don't see any bugfix in your patch.

changeset:   6448:b854ca4605e1
branch:      legacy-trunk
user:        Guido van Rossum <guido@python.org>
date:        Wed Oct 08 05:05:28 1997 +0000
files:       README
description:
Ready for the release, I'd say.

diff -r 31a50468366b -r b854ca4605e1 README
--- a/README    Wed Oct 08 04:05:08 1997 +0000
+++ b/README    Wed Oct 08 05:05:28 1997 +0000
(...)
+64-bit platforms: The modules audioop, imageop and rgbimg don't work.
+       Don't try to enable them in the Modules/Setup file.  They
+       contain code that is quite wordsize sensitive.  (If you have a
+       fix, let me know!)
msg362730 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-02-26 20:06
Python 2.7 no longer supported.
History
Date User Action Args
2020-02-26 20:06:27serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg362730

resolution: out of date
stage: resolved
2015-01-23 09:32:33vstinnersetnosy: + vstinner
messages: + msg234548
2015-01-21 02:03:30koobssetnosy: + koobs
2014-11-28 08:25:07pitrousetnosy: + tim.golden, zach.ware, steve.dower
2014-11-26 12:18:31pankaj.s01create